Bug 172961 - Package fixes and cleanups for dump
Package fixes and cleanups for dump
Product: Fedora
Classification: Fedora
Component: dump (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
: EasyFix, Patch
Depends On:
  Show dependency treegraph
Reported: 2005-11-11 11:49 EST by Matthias Saou
Modified: 2013-07-02 19:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-14 04:58:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Spec file patch (7.13 KB, patch)
2005-11-11 11:49 EST, Matthias Saou
no flags Details | Diff

  None (edit)
Description Matthias Saou 2005-11-11 11:49:05 EST
Attached is a suggestion for changes against the 0.4b40-4 spec file :

* Fri Nov 11 2005 Matthias Saou <http://freshrpms.net/> 0.4b40-5
- Switch back to original .gz source.
- Use --with-binmode=0755 since we no longer provide setuid or setgid files.
- The above fixes the incorrect stripping of the binaries.
- Remove many unnecessary defaults.
- Add bzip2 support (dynamically linked, the same as current gzip support).
- Remove special cflags, as the default work (if any specific cflags are
  required, it's best to add a comment in the spec as to why).
- Spec file cleanup.

The real important bit is the +s not being set anymore on the files in %install,
which results in the binaries being properly stripped, with the symbols going
into the debuginfo package (as it should, which wasn't the case).
Two remarks :
- I hope I wasn't wrong about the fact the none of the binaries are now
  installed with +s set. It allowed for major simplification of the spec.
- You'll want to check if the removal of the extra custom cflags doesn't
  break anything. I couldn't find any info as to why they were there...
Comment 1 Matthias Saou 2005-11-11 11:49:06 EST
Created attachment 120949 [details]
Spec file patch
Comment 2 Jindrich Novy 2005-11-14 04:58:23 EST
I left the original OPT flags passed to make unchanged as enabling warnings
isn't bad for diagnosis and $RPM_OPT_FLAGS is mandatory for build system to set
up specific and security OPT_FLAGS. Also I left all the defaults to %configure
set as was in the original spec just to be sure they'll be set anyway when
something changes in the upstream configure. The only thing I removed was the
ugly header and put it directly to %configure. I left the bz2 tarball as it
conserves space.

Note You need to log in before you can comment on or make changes to this bug.